#### PyKDE - Python Bindings for KDE

# class KWordMacroExpander |
Table of contents
Modules
tdecore Classes
All Classes

Module | tdecore
Class | KWordMacroExpander (abstract)
Inherits | KMacroExpanderBase

### methods

- KWordMacroExpander (c = '%')

  returns a KWordMacroExpander instance
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  c | TQChar | '%'

- expandEscapedMacro (str, pos, ret)

  returns (int)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  str | TQString |
  pos | uint |
  ret | TQStringList |

- expandMacro (str, ret) = 0

  returns (bool)
  In versions KDE 3.3.0 and above only
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  str | TQString |
  ret | TQStringList |

- expandPlainMacro (str, pos, ret)

  returns (int)
  In versions KDE 3.3.0 and above only
  Argument | Type | Default
  --- | --- | ---
  str | TQString |
  pos | uint |
  ret | TQStringList |